if grep -q QEMU /proc/cpuinfo || dmesg | grep -q 'Manufacturer: QEMU' ; then
	export WITHOUT_SWAP=yes
fi
sleep 2
list-devices disk | head -2 | tr '\n' ' ' > /tmp/list-devices
read DISKA DISKB < /tmp/list-devices
SIZE1=$(fdisk -l "${DISKA}" 2>/dev/null|grep Disk|grep dev|cut -d' ' -f5)
MBR_LIMIT=2000000000000

getpart() {
	local partnum disk
	disk=${1}
	partnum=${2}
	if echo "${disk}" | grep -q nvme; then
		echo "${disk}p${partnum}"
	else
		echo "${disk}${partnum}"
	fi
}

get_raid_parts() {
	local partnum disks resstr del
	partnum=${1}
	shift
	disks=${@}
	for disk in ${disks}; do
		if [ -n "${resstr}" ]; then
			del="#"
		else
			del=""
		fi
		resstr="${resstr}${del}$(getpart ${disk} ${partnum})"
	done
	echo ${resstr}
}

debconf-set partman-basicfilesystems/choose_label gpt
debconf-set partman-basicfilesystems/default_label gpt
debconf-set partman-partitioning/choose_label gpt
debconf-set partman-partitioning/default_label gpt
debconf-set partman/choose_label gpt
debconf-set partman/default_label gpt
if [ -d /sys/firmware/efi ]; then
	debconf-set partman-efi/non_efi_system true
fi
debconf-set mdadm/boot_degraded true
debconf-set partman-auto/disk "${DISKA} ${DISKB}"
debconf-set partman-auto/method "raid"
debconf-set partman-md/device_remove_md true
if [ -d /sys/firmware/efi ]; then
	debconf-set partman-auto/expert_recipe "multiraid :: \
		512 512 512 free \$iflabel{ gpt } \$reusemethod{ } method{ efi } format{ } . \
		4096 4096 4096 raid \$gptonly{ } \$primary method{ raid }	. \
		40960 40960 40960 raid \$gptonly{ } \$primary method{ raid }	. \
		1024 10000 1000000000 raid \$gptonly{ } \$primary method{ raid }	."
  echo "$(getpart ${DISKA} 1)" >> /tmp/first_efi_part
  echo "$(getpart ${DISKB} 1)" >> /tmp/second_efi_parts
else
	debconf-set partman-auto/expert_recipe "multiraid :: \
		1 1 1 free	\$gptonly{ } \$primary{ } \$bios_boot{ } method{ biosgrub } . \
		128 512 100% raid \$gptonly{ } \$primary method{ raid }	. \
		1024 10000 1000000000 raid \$gptonly{ } \$primary method{ raid }	. "
fi
debconf-set partman-auto-raid/recipe " \
	1 2 0 swap - $(get_raid_parts 2 ${DISKA} ${DISKB}) . \
	1 2 0 ext4 / $(get_raid_parts 3 ${DISKA} ${DISKB}) . \
	1 2 0 ext4 /vm $(get_raid_parts 4 ${DISKA} ${DISKB}) . "
debconf-set grub-installer/bootdev "${DISKA} ${DISKB}"

